瀏覽代碼

first commit

Yansen 2 年之前
當前提交
a27c9985c5

+ 35
- 0
.gitignore 查看文件

@@ -0,0 +1,35 @@
1
+HELP.md
2
+target/
3
+!.mvn/wrapper/maven-wrapper.jar
4
+!**/src/main/**/target/
5
+!**/src/test/**/target/
6
+
7
+### STS ###
8
+.apt_generated
9
+.classpath
10
+.factorypath
11
+.project
12
+.settings
13
+.springBeans
14
+.sts4-cache
15
+
16
+### IntelliJ IDEA ###
17
+.idea
18
+*.iws
19
+*.iml
20
+*.ipr
21
+
22
+### NetBeans ###
23
+/nbproject/private/
24
+/nbbuild/
25
+/dist/
26
+/nbdist/
27
+/.nb-gradle/
28
+build/
29
+!**/src/main/**/build/
30
+!**/src/test/**/build/
31
+
32
+### VS Code ###
33
+.vscode/
34
+
35
+ssl/

二進制
.mvn/wrapper/maven-wrapper.jar 查看文件


+ 2
- 0
.mvn/wrapper/maven-wrapper.properties 查看文件

@@ -0,0 +1,2 @@
1
+distributionUrl=https://repo.maven.apache.org/maven2/org/apache/maven/apache-maven/3.8.4/apache-maven-3.8.4-bin.zip
2
+wrapperUrl=https://repo.maven.apache.org/maven2/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar

+ 316
- 0
mvnw 查看文件

@@ -0,0 +1,316 @@
1
+#!/bin/sh
2
+# ----------------------------------------------------------------------------
3
+# Licensed to the Apache Software Foundation (ASF) under one
4
+# or more contributor license agreements.  See the NOTICE file
5
+# distributed with this work for additional information
6
+# regarding copyright ownership.  The ASF licenses this file
7
+# to you under the Apache License, Version 2.0 (the
8
+# "License"); you may not use this file except in compliance
9
+# with the License.  You may obtain a copy of the License at
10
+#
11
+#    https://www.apache.org/licenses/LICENSE-2.0
12
+#
13
+# Unless required by applicable law or agreed to in writing,
14
+# software distributed under the License is distributed on an
15
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
16
+# KIND, either express or implied.  See the License for the
17
+# specific language governing permissions and limitations
18
+# under the License.
19
+# ----------------------------------------------------------------------------
20
+
21
+# ----------------------------------------------------------------------------
22
+# Maven Start Up Batch script
23
+#
24
+# Required ENV vars:
25
+# ------------------
26
+#   JAVA_HOME - location of a JDK home dir
27
+#
28
+# Optional ENV vars
29
+# -----------------
30
+#   M2_HOME - location of maven2's installed home dir
31
+#   MAVEN_OPTS - parameters passed to the Java VM when running Maven
32
+#     e.g. to debug Maven itself, use
33
+#       set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
34
+#   MAVEN_SKIP_RC - flag to disable loading of mavenrc files
35
+# ----------------------------------------------------------------------------
36
+
37
+if [ -z "$MAVEN_SKIP_RC" ] ; then
38
+
39
+  if [ -f /usr/local/etc/mavenrc ] ; then
40
+    . /usr/local/etc/mavenrc
41
+  fi
42
+
43
+  if [ -f /etc/mavenrc ] ; then
44
+    . /etc/mavenrc
45
+  fi
46
+
47
+  if [ -f "$HOME/.mavenrc" ] ; then
48
+    . "$HOME/.mavenrc"
49
+  fi
50
+
51
+fi
52
+
53
+# OS specific support.  $var _must_ be set to either true or false.
54
+cygwin=false;
55
+darwin=false;
56
+mingw=false
57
+case "`uname`" in
58
+  CYGWIN*) cygwin=true ;;
59
+  MINGW*) mingw=true;;
60
+  Darwin*) darwin=true
61
+    # Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home
62
+    # See https://developer.apple.com/library/mac/qa/qa1170/_index.html
63
+    if [ -z "$JAVA_HOME" ]; then
64
+      if [ -x "/usr/libexec/java_home" ]; then
65
+        export JAVA_HOME="`/usr/libexec/java_home`"
66
+      else
67
+        export JAVA_HOME="/Library/Java/Home"
68
+      fi
69
+    fi
70
+    ;;
71
+esac
72
+
73
+if [ -z "$JAVA_HOME" ] ; then
74
+  if [ -r /etc/gentoo-release ] ; then
75
+    JAVA_HOME=`java-config --jre-home`
76
+  fi
77
+fi
78
+
79
+if [ -z "$M2_HOME" ] ; then
80
+  ## resolve links - $0 may be a link to maven's home
81
+  PRG="$0"
82
+
83
+  # need this for relative symlinks
84
+  while [ -h "$PRG" ] ; do
85
+    ls=`ls -ld "$PRG"`
86
+    link=`expr "$ls" : '.*-> \(.*\)$'`
87
+    if expr "$link" : '/.*' > /dev/null; then
88
+      PRG="$link"
89
+    else
90
+      PRG="`dirname "$PRG"`/$link"
91
+    fi
92
+  done
93
+
94
+  saveddir=`pwd`
95
+
96
+  M2_HOME=`dirname "$PRG"`/..
97
+
98
+  # make it fully qualified
99
+  M2_HOME=`cd "$M2_HOME" && pwd`
100
+
101
+  cd "$saveddir"
102
+  # echo Using m2 at $M2_HOME
103
+fi
104
+
105
+# For Cygwin, ensure paths are in UNIX format before anything is touched
106
+if $cygwin ; then
107
+  [ -n "$M2_HOME" ] &&
108
+    M2_HOME=`cygpath --unix "$M2_HOME"`
109
+  [ -n "$JAVA_HOME" ] &&
110
+    JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
111
+  [ -n "$CLASSPATH" ] &&
112
+    CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
113
+fi
114
+
115
+# For Mingw, ensure paths are in UNIX format before anything is touched
116
+if $mingw ; then
117
+  [ -n "$M2_HOME" ] &&
118
+    M2_HOME="`(cd "$M2_HOME"; pwd)`"
119
+  [ -n "$JAVA_HOME" ] &&
120
+    JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
121
+fi
122
+
123
+if [ -z "$JAVA_HOME" ]; then
124
+  javaExecutable="`which javac`"
125
+  if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
126
+    # readlink(1) is not available as standard on Solaris 10.
127
+    readLink=`which readlink`
128
+    if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
129
+      if $darwin ; then
130
+        javaHome="`dirname \"$javaExecutable\"`"
131
+        javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
132
+      else
133
+        javaExecutable="`readlink -f \"$javaExecutable\"`"
134
+      fi
135
+      javaHome="`dirname \"$javaExecutable\"`"
136
+      javaHome=`expr "$javaHome" : '\(.*\)/bin'`
137
+      JAVA_HOME="$javaHome"
138
+      export JAVA_HOME
139
+    fi
140
+  fi
141
+fi
142
+
143
+if [ -z "$JAVACMD" ] ; then
144
+  if [ -n "$JAVA_HOME"  ] ; then
145
+    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
146
+      # IBM's JDK on AIX uses strange locations for the executables
147
+      JAVACMD="$JAVA_HOME/jre/sh/java"
148
+    else
149
+      JAVACMD="$JAVA_HOME/bin/java"
150
+    fi
151
+  else
152
+    JAVACMD="`\\unset -f command; \\command -v java`"
153
+  fi
154
+fi
155
+
156
+if [ ! -x "$JAVACMD" ] ; then
157
+  echo "Error: JAVA_HOME is not defined correctly." >&2
158
+  echo "  We cannot execute $JAVACMD" >&2
159
+  exit 1
160
+fi
161
+
162
+if [ -z "$JAVA_HOME" ] ; then
163
+  echo "Warning: JAVA_HOME environment variable is not set."
164
+fi
165
+
166
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
167
+
168
+# traverses directory structure from process work directory to filesystem root
169
+# first directory with .mvn subdirectory is considered project base directory
170
+find_maven_basedir() {
171
+
172
+  if [ -z "$1" ]
173
+  then
174
+    echo "Path not specified to find_maven_basedir"
175
+    return 1
176
+  fi
177
+
178
+  basedir="$1"
179
+  wdir="$1"
180
+  while [ "$wdir" != '/' ] ; do
181
+    if [ -d "$wdir"/.mvn ] ; then
182
+      basedir=$wdir
183
+      break
184
+    fi
185
+    # workaround for JBEAP-8937 (on Solaris 10/Sparc)
186
+    if [ -d "${wdir}" ]; then
187
+      wdir=`cd "$wdir/.."; pwd`
188
+    fi
189
+    # end of workaround
190
+  done
191
+  echo "${basedir}"
192
+}
193
+
194
+# concatenates all lines of a file
195
+concat_lines() {
196
+  if [ -f "$1" ]; then
197
+    echo "$(tr -s '\n' ' ' < "$1")"
198
+  fi
199
+}
200
+
201
+BASE_DIR=`find_maven_basedir "$(pwd)"`
202
+if [ -z "$BASE_DIR" ]; then
203
+  exit 1;
204
+fi
205
+
206
+##########################################################################################
207
+# Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
208
+# This allows using the maven wrapper in projects that prohibit checking in binary data.
209
+##########################################################################################
210
+if [ -r "$BASE_DIR/.mvn/wrapper/maven-wrapper.jar" ]; then
211
+    if [ "$MVNW_VERBOSE" = true ]; then
212
+      echo "Found .mvn/wrapper/maven-wrapper.jar"
213
+    fi
214
+else
215
+    if [ "$MVNW_VERBOSE" = true ]; then
216
+      echo "Couldn't find .mvn/wrapper/maven-wrapper.jar, downloading it ..."
217
+    fi
218
+    if [ -n "$MVNW_REPOURL" ]; then
219
+      jarUrl="$MVNW_REPOURL/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar"
220
+    else
221
+      jarUrl="https://repo.maven.apache.org/maven2/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar"
222
+    fi
223
+    while IFS="=" read key value; do
224
+      case "$key" in (wrapperUrl) jarUrl="$value"; break ;;
225
+      esac
226
+    done < "$BASE_DIR/.mvn/wrapper/maven-wrapper.properties"
227
+    if [ "$MVNW_VERBOSE" = true ]; then
228
+      echo "Downloading from: $jarUrl"
229
+    fi
230
+    wrapperJarPath="$BASE_DIR/.mvn/wrapper/maven-wrapper.jar"
231
+    if $cygwin; then
232
+      wrapperJarPath=`cygpath --path --windows "$wrapperJarPath"`
233
+    fi
234
+
235
+    if command -v wget > /dev/null; then
236
+        if [ "$MVNW_VERBOSE" = true ]; then
237
+          echo "Found wget ... using wget"
238
+        fi
239
+        if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
240
+            wget "$jarUrl" -O "$wrapperJarPath" || rm -f "$wrapperJarPath"
241
+        else
242
+            wget --http-user=$MVNW_USERNAME --http-password=$MVNW_PASSWORD "$jarUrl" -O "$wrapperJarPath" || rm -f "$wrapperJarPath"
243
+        fi
244
+    elif command -v curl > /dev/null; then
245
+        if [ "$MVNW_VERBOSE" = true ]; then
246
+          echo "Found curl ... using curl"
247
+        fi
248
+        if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
249
+            curl -o "$wrapperJarPath" "$jarUrl" -f
250
+        else
251
+            curl --user $MVNW_USERNAME:$MVNW_PASSWORD -o "$wrapperJarPath" "$jarUrl" -f
252
+        fi
253
+
254
+    else
255
+        if [ "$MVNW_VERBOSE" = true ]; then
256
+          echo "Falling back to using Java to download"
257
+        fi
258
+        javaClass="$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.java"
259
+        # For Cygwin, switch paths to Windows format before running javac
260
+        if $cygwin; then
261
+          javaClass=`cygpath --path --windows "$javaClass"`
262
+        fi
263
+        if [ -e "$javaClass" ]; then
264
+            if [ ! -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
265
+                if [ "$MVNW_VERBOSE" = true ]; then
266
+                  echo " - Compiling MavenWrapperDownloader.java ..."
267
+                fi
268
+                # Compiling the Java class
269
+                ("$JAVA_HOME/bin/javac" "$javaClass")
270
+            fi
271
+            if [ -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
272
+                # Running the downloader
273
+                if [ "$MVNW_VERBOSE" = true ]; then
274
+                  echo " - Running MavenWrapperDownloader.java ..."
275
+                fi
276
+                ("$JAVA_HOME/bin/java" -cp .mvn/wrapper MavenWrapperDownloader "$MAVEN_PROJECTBASEDIR")
277
+            fi
278
+        fi
279
+    fi
280
+fi
281
+##########################################################################################
282
+# End of extension
283
+##########################################################################################
284
+
285
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"}
286
+if [ "$MVNW_VERBOSE" = true ]; then
287
+  echo $MAVEN_PROJECTBASEDIR
288
+fi
289
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
290
+
291
+# For Cygwin, switch paths to Windows format before running java
292
+if $cygwin; then
293
+  [ -n "$M2_HOME" ] &&
294
+    M2_HOME=`cygpath --path --windows "$M2_HOME"`
295
+  [ -n "$JAVA_HOME" ] &&
296
+    JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
297
+  [ -n "$CLASSPATH" ] &&
298
+    CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
299
+  [ -n "$MAVEN_PROJECTBASEDIR" ] &&
300
+    MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"`
301
+fi
302
+
303
+# Provide a "standardized" way to retrieve the CLI args that will
304
+# work with both Windows and non-Windows executions.
305
+MAVEN_CMD_LINE_ARGS="$MAVEN_CONFIG $@"
306
+export MAVEN_CMD_LINE_ARGS
307
+
308
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
309
+
310
+exec "$JAVACMD" \
311
+  $MAVEN_OPTS \
312
+  $MAVEN_DEBUG_OPTS \
313
+  -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
314
+  "-Dmaven.home=${M2_HOME}" \
315
+  "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
316
+  ${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@"

+ 188
- 0
mvnw.cmd 查看文件

@@ -0,0 +1,188 @@
1
+@REM ----------------------------------------------------------------------------
2
+@REM Licensed to the Apache Software Foundation (ASF) under one
3
+@REM or more contributor license agreements.  See the NOTICE file
4
+@REM distributed with this work for additional information
5
+@REM regarding copyright ownership.  The ASF licenses this file
6
+@REM to you under the Apache License, Version 2.0 (the
7
+@REM "License"); you may not use this file except in compliance
8
+@REM with the License.  You may obtain a copy of the License at
9
+@REM
10
+@REM    https://www.apache.org/licenses/LICENSE-2.0
11
+@REM
12
+@REM Unless required by applicable law or agreed to in writing,
13
+@REM software distributed under the License is distributed on an
14
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
15
+@REM KIND, either express or implied.  See the License for the
16
+@REM specific language governing permissions and limitations
17
+@REM under the License.
18
+@REM ----------------------------------------------------------------------------
19
+
20
+@REM ----------------------------------------------------------------------------
21
+@REM Maven Start Up Batch script
22
+@REM
23
+@REM Required ENV vars:
24
+@REM JAVA_HOME - location of a JDK home dir
25
+@REM
26
+@REM Optional ENV vars
27
+@REM M2_HOME - location of maven2's installed home dir
28
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
29
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a keystroke before ending
30
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
31
+@REM     e.g. to debug Maven itself, use
32
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
33
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
34
+@REM ----------------------------------------------------------------------------
35
+
36
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
37
+@echo off
38
+@REM set title of command window
39
+title %0
40
+@REM enable echoing by setting MAVEN_BATCH_ECHO to 'on'
41
+@if "%MAVEN_BATCH_ECHO%" == "on"  echo %MAVEN_BATCH_ECHO%
42
+
43
+@REM set %HOME% to equivalent of $HOME
44
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
45
+
46
+@REM Execute a user defined script before this one
47
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
48
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
49
+if exist "%USERPROFILE%\mavenrc_pre.bat" call "%USERPROFILE%\mavenrc_pre.bat" %*
50
+if exist "%USERPROFILE%\mavenrc_pre.cmd" call "%USERPROFILE%\mavenrc_pre.cmd" %*
51
+:skipRcPre
52
+
53
+@setlocal
54
+
55
+set ERROR_CODE=0
56
+
57
+@REM To isolate internal variables from possible post scripts, we use another setlocal
58
+@setlocal
59
+
60
+@REM ==== START VALIDATION ====
61
+if not "%JAVA_HOME%" == "" goto OkJHome
62
+
63
+echo.
64
+echo Error: JAVA_HOME not found in your environment. >&2
65
+echo Please set the JAVA_HOME variable in your environment to match the >&2
66
+echo location of your Java installation. >&2
67
+echo.
68
+goto error
69
+
70
+:OkJHome
71
+if exist "%JAVA_HOME%\bin\java.exe" goto init
72
+
73
+echo.
74
+echo Error: JAVA_HOME is set to an invalid directory. >&2
75
+echo JAVA_HOME = "%JAVA_HOME%" >&2
76
+echo Please set the JAVA_HOME variable in your environment to match the >&2
77
+echo location of your Java installation. >&2
78
+echo.
79
+goto error
80
+
81
+@REM ==== END VALIDATION ====
82
+
83
+:init
84
+
85
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
86
+@REM Fallback to current working directory if not found.
87
+
88
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
89
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
90
+
91
+set EXEC_DIR=%CD%
92
+set WDIR=%EXEC_DIR%
93
+:findBaseDir
94
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
95
+cd ..
96
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
97
+set WDIR=%CD%
98
+goto findBaseDir
99
+
100
+:baseDirFound
101
+set MAVEN_PROJECTBASEDIR=%WDIR%
102
+cd "%EXEC_DIR%"
103
+goto endDetectBaseDir
104
+
105
+:baseDirNotFound
106
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
107
+cd "%EXEC_DIR%"
108
+
109
+:endDetectBaseDir
110
+
111
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
112
+
113
+@setlocal EnableExtensions EnableDelayedExpansion
114
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
115
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
116
+
117
+:endReadAdditionalConfig
118
+
119
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
120
+set WRAPPER_JAR="%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar"
121
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
122
+
123
+set DOWNLOAD_URL="https://repo.maven.apache.org/maven2/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar"
124
+
125
+FOR /F "usebackq tokens=1,2 delims==" %%A IN ("%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.properties") DO (
126
+    IF "%%A"=="wrapperUrl" SET DOWNLOAD_URL=%%B
127
+)
128
+
129
+@REM Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
130
+@REM This allows using the maven wrapper in projects that prohibit checking in binary data.
131
+if exist %WRAPPER_JAR% (
132
+    if "%MVNW_VERBOSE%" == "true" (
133
+        echo Found %WRAPPER_JAR%
134
+    )
135
+) else (
136
+    if not "%MVNW_REPOURL%" == "" (
137
+        SET DOWNLOAD_URL="%MVNW_REPOURL%/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar"
138
+    )
139
+    if "%MVNW_VERBOSE%" == "true" (
140
+        echo Couldn't find %WRAPPER_JAR%, downloading it ...
141
+        echo Downloading from: %DOWNLOAD_URL%
142
+    )
143
+
144
+    powershell -Command "&{"^
145
+		"$webclient = new-object System.Net.WebClient;"^
146
+		"if (-not ([string]::IsNullOrEmpty('%MVNW_USERNAME%') -and [string]::IsNullOrEmpty('%MVNW_PASSWORD%'))) {"^
147
+		"$webclient.Credentials = new-object System.Net.NetworkCredential('%MVNW_USERNAME%', '%MVNW_PASSWORD%');"^
148
+		"}"^
149
+		"[Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; $webclient.DownloadFile('%DOWNLOAD_URL%', '%WRAPPER_JAR%')"^
150
+		"}"
151
+    if "%MVNW_VERBOSE%" == "true" (
152
+        echo Finished downloading %WRAPPER_JAR%
153
+    )
154
+)
155
+@REM End of extension
156
+
157
+@REM Provide a "standardized" way to retrieve the CLI args that will
158
+@REM work with both Windows and non-Windows executions.
159
+set MAVEN_CMD_LINE_ARGS=%*
160
+
161
+%MAVEN_JAVA_EXE% ^
162
+  %JVM_CONFIG_MAVEN_PROPS% ^
163
+  %MAVEN_OPTS% ^
164
+  %MAVEN_DEBUG_OPTS% ^
165
+  -classpath %WRAPPER_JAR% ^
166
+  "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" ^
167
+  %WRAPPER_LAUNCHER% %MAVEN_CONFIG% %*
168
+if ERRORLEVEL 1 goto error
169
+goto end
170
+
171
+:error
172
+set ERROR_CODE=1
173
+
174
+:end
175
+@endlocal & set ERROR_CODE=%ERROR_CODE%
176
+
177
+if not "%MAVEN_SKIP_RC%"=="" goto skipRcPost
178
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
179
+if exist "%USERPROFILE%\mavenrc_post.bat" call "%USERPROFILE%\mavenrc_post.bat"
180
+if exist "%USERPROFILE%\mavenrc_post.cmd" call "%USERPROFILE%\mavenrc_post.cmd"
181
+:skipRcPost
182
+
183
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
184
+if "%MAVEN_BATCH_PAUSE%"=="on" pause
185
+
186
+if "%MAVEN_TERMINATE_CMD%"=="on" exit %ERROR_CODE%
187
+
188
+cmd /C exit /B %ERROR_CODE%

+ 93
- 0
pom.xml 查看文件

@@ -0,0 +1,93 @@
1
+<?xml version="1.0" encoding="UTF-8"?>
2
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
3
+	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
4
+	<modelVersion>4.0.0</modelVersion>
5
+	<parent>
6
+		<groupId>org.springframework.boot</groupId>
7
+		<artifactId>spring-boot-starter-parent</artifactId>
8
+		<version>2.6.7</version>
9
+		<relativePath/> <!-- lookup parent from repository -->
10
+	</parent>
11
+	<groupId>com.njyunzhi</groupId>
12
+	<artifactId>nanyang</artifactId>
13
+	<version>0.0.1</version>
14
+	<name>data-collect</name>
15
+	<description>数据采集</description>
16
+	<properties>
17
+		<java.version>1.8</java.version>
18
+		<log4j.version>2.17.0</log4j.version>
19
+	</properties>
20
+	<dependencies>
21
+		<dependency>
22
+			<groupId>org.springframework.boot</groupId>
23
+			<artifactId>spring-boot-starter-web</artifactId>
24
+		</dependency>
25
+
26
+		<dependency>
27
+			<groupId>org.springframework.boot</groupId>
28
+			<artifactId>spring-boot-starter-test</artifactId>
29
+			<scope>test</scope>
30
+		</dependency>
31
+
32
+		<!--mysql start-->
33
+		<dependency>
34
+			<groupId>mysql</groupId>
35
+			<artifactId>mysql-connector-java</artifactId>
36
+			<scope>runtime</scope>
37
+		</dependency>
38
+		<!--mysql end-->
39
+
40
+		<!--mybatis-plus start-->
41
+		<dependency>
42
+			<groupId>com.baomidou</groupId>
43
+			<artifactId>mybatis-plus-boot-starter</artifactId>
44
+			<version>3.1.1</version>
45
+		</dependency>
46
+		<!--mybatis-plus end-->
47
+
48
+		<!--lombok start-->
49
+		<dependency>
50
+			<groupId>org.projectlombok</groupId>
51
+			<artifactId>lombok</artifactId>
52
+			<optional>true</optional>
53
+		</dependency>
54
+		<!--lombok end-->
55
+
56
+		<!--fastjson start-->
57
+		<!-- <dependency>
58
+			<groupId>com.alibaba</groupId>
59
+			<artifactId>fastjson</artifactId>
60
+			<version>1.2.56</version>
61
+		</dependency> -->
62
+		<!--fastjson end-->
63
+
64
+
65
+		<!--oss start-->
66
+		<dependency>
67
+			<groupId>com.aliyun.oss</groupId>
68
+			<artifactId>aliyun-sdk-oss</artifactId>
69
+			<version>2.8.3</version>
70
+		</dependency>
71
+
72
+		<dependency>
73
+			<groupId>com.aliyun</groupId>
74
+			<artifactId>aliyun-java-sdk-core</artifactId>
75
+			<version>[4.4.9,5.0.0)</version>
76
+		</dependency>
77
+		<!--oss end-->
78
+
79
+	</dependencies>
80
+
81
+	<build>
82
+		<plugins>
83
+			<plugin>
84
+				<groupId>org.springframework.boot</groupId>
85
+				<artifactId>spring-boot-maven-plugin</artifactId>
86
+				<configuration>
87
+					<includeSystemScope>true</includeSystemScope>
88
+				</configuration>
89
+			</plugin>
90
+		</plugins>
91
+	</build>
92
+
93
+</project>

+ 17
- 0
src/main/java/com/njyunzhi/nanyang/Application.java 查看文件

@@ -0,0 +1,17 @@
1
+package com.njyunzhi.nanyang;
2
+
3
+import org.springframework.boot.SpringApplication;
4
+import org.springframework.boot.autoconfigure.SpringBootApplication;
5
+import org.springframework.scheduling.annotation.EnableAsync;
6
+import org.springframework.scheduling.annotation.EnableScheduling;
7
+
8
+@EnableAsync
9
+@SpringBootApplication
10
+@EnableScheduling
11
+public class Application {
12
+
13
+	public static void main(String[] args) {
14
+		SpringApplication.run(Application.class, args);
15
+	}
16
+
17
+}

+ 9
- 0
src/main/java/com/njyunzhi/nanyang/common/BaseController.java 查看文件

@@ -0,0 +1,9 @@
1
+package com.njyunzhi.nanyang.common;
2
+
3
+
4
+import org.springframework.stereotype.Component;
5
+
6
+@Component
7
+public class BaseController {
8
+
9
+}

+ 15
- 0
src/main/java/com/njyunzhi/nanyang/common/DateUtil.java 查看文件

@@ -0,0 +1,15 @@
1
+package com.njyunzhi.nanyang.common;
2
+
3
+import java.time.LocalDateTime;
4
+import java.time.format.DateTimeFormatter;
5
+
6
+public class DateUtil {
7
+
8
+    public static LocalDateTime from(String str, String formater) {
9
+        if (null == formater) {
10
+            formater = "yyyy-MM-dd HH:mm:ss";
11
+        }
12
+        DateTimeFormatter fmt = DateTimeFormatter.ofPattern(formater);
13
+        return LocalDateTime.parse(str, fmt);
14
+    }
15
+}

+ 166
- 0
src/main/java/com/njyunzhi/nanyang/common/OSSUtils.java 查看文件

@@ -0,0 +1,166 @@
1
+package com.njyunzhi.nanyang.common;
2
+
3
+import com.aliyun.oss.OSSClient;
4
+import com.aliyuncs.DefaultAcsClient;
5
+import com.aliyuncs.auth.sts.AssumeRoleRequest;
6
+import com.aliyuncs.auth.sts.AssumeRoleResponse;
7
+import com.aliyuncs.exceptions.ClientException;
8
+import com.aliyuncs.http.MethodType;
9
+import com.aliyuncs.profile.DefaultProfile;
10
+import com.aliyuncs.profile.IClientProfile;
11
+import com.njyunzhi.nanyang.config.AliyunConfig;
12
+import lombok.extern.slf4j.Slf4j;
13
+import org.springframework.beans.factory.annotation.Autowired;
14
+import org.springframework.stereotype.Component;
15
+import org.springframework.web.multipart.MultipartFile;
16
+
17
+import java.io.*;
18
+import java.time.LocalDateTime;
19
+import java.time.format.DateTimeFormatter;
20
+import java.util.Base64;
21
+import java.util.HashMap;
22
+import java.util.Map;
23
+
24
+@Slf4j
25
+@Component
26
+public class OSSUtils {
27
+
28
+    private final static String STS_ENDPOINT = "sts.aliyuncs.com";
29
+
30
+    @Autowired
31
+    AliyunConfig aliyunConfig;
32
+
33
+    private String getMonth() {
34
+        return DateTimeFormatter.ofPattern("yyyyMM").format(LocalDateTime.now());
35
+    }
36
+
37
+    private String getUploadPath(String[] toDirs) {
38
+        String path = toDirs.length > 0 ? toDirs[0] : "/";
39
+        if (!path.endsWith("/")) {
40
+            path += "/";
41
+        }
42
+
43
+        return path + getMonth() + "/";
44
+    }
45
+
46
+    /**
47
+     * 上传 base64
48
+     * @param base64Str
49
+     * @param toDirs
50
+     * @return
51
+     * @throws IOException
52
+     */
53
+    public String putObject(String base64Str, String ...toDirs) throws IOException {
54
+        int index = base64Str.indexOf("base64,");
55
+
56
+        if (index > -1) {
57
+            index += 7;
58
+        } else {
59
+            index = 0;
60
+        }
61
+
62
+        String dataStr = base64Str.substring(index);
63
+        byte[] data = Base64.getDecoder().decode(dataStr);
64
+        ByteArrayInputStream inputStream = new ByteArrayInputStream(data);
65
+        String toDir = getUploadPath(toDirs);
66
+        String nwFName = toDir + System.currentTimeMillis() + ".png";
67
+        nwFName = StringUtils.trim(nwFName,"/");
68
+        return putFile(nwFName, inputStream);
69
+    }
70
+
71
+    /**
72
+     * 上传文件
73
+     * @param mf 上传的文件
74
+     * @param toDirs 上传到的目录
75
+     * @return
76
+     */
77
+    public String putObject(MultipartFile mf, String ... toDirs) throws IOException {
78
+        String fName = formatFileName(mf.getOriginalFilename());
79
+        String preFix = String.valueOf(System.currentTimeMillis());
80
+        String toDir = getUploadPath(toDirs);
81
+        String nwFName = toDir + preFix + "-" + fName;
82
+        nwFName = StringUtils.trim(nwFName,"/");
83
+
84
+        return putFile(nwFName, new ByteArrayInputStream(mf.getBytes()));
85
+    }
86
+
87
+    public String putObject(File f, String ... toDirs) throws FileNotFoundException {
88
+        String fName = formatFileName(f.getName());
89
+        String preFix = String.valueOf(System.currentTimeMillis());
90
+        String toDir = getUploadPath(toDirs);
91
+        String nwFName = toDir + preFix + "-" + fName;
92
+        nwFName = StringUtils.trim(nwFName,"/");
93
+
94
+        InputStream inputStream = new FileInputStream(f);
95
+        return putFile(nwFName, inputStream);
96
+    }
97
+
98
+    public String putObject(InputStream inputStream, String fName, String ... toDirs) {
99
+        String toDir = getUploadPath(toDirs);
100
+        String nwFName = toDir + fName;
101
+        nwFName = StringUtils.trim(nwFName,"/");
102
+        return putFile(nwFName, inputStream);
103
+    }
104
+
105
+    private String formatFileName(String fName) {
106
+        return StringUtils.ifNull(fName, StringUtils.random(16) + ".png");
107
+    }
108
+
109
+    private String putFile(String fname, InputStream input) {
110
+        OSSClient ossClient = new OSSClient(aliyunConfig.getOss().getEndpoint(), aliyunConfig.getAccessKeyId(), aliyunConfig.getAccessKeySecret());
111
+        ossClient.putObject(aliyunConfig.getOss().getBucketName(), fname, input);
112
+        ossClient.shutdown();
113
+
114
+        // String url = ossClient.generatePresignedUrl(AliOSSUtils.oss.getBucketName(), fname, expiration).toString();
115
+
116
+        String preURL = aliyunConfig.getOss().getBucketURL();
117
+        if (!preURL.endsWith("/")) {
118
+            preURL += "/";
119
+        }
120
+
121
+        return preURL + fname.replaceAll("\\ ", "%20").replaceAll("\\'", "%27");
122
+    }
123
+
124
+    /**
125
+     * 获取上传凭证
126
+     * @return
127
+     * @throws Exception
128
+     */
129
+    public Map<String, Object> getSTSAKToken() throws Exception {
130
+        AliyunConfig.Oss oss = aliyunConfig.getOss();
131
+
132
+        try {
133
+            // 添加endpoint(直接使用STS endpoint,无需添加region ID)
134
+            DefaultProfile.addEndpoint("", "Sts", STS_ENDPOINT);
135
+            // 构造default profile(参数留空,无需添加region ID)
136
+            IClientProfile profile = DefaultProfile.getProfile("", oss.getAccessKeyId(), oss.getAccessKeySecret());
137
+
138
+            // 用profile构造client
139
+            DefaultAcsClient client = new DefaultAcsClient(profile);
140
+            final AssumeRoleRequest request = new AssumeRoleRequest();
141
+            request.setSysMethod(MethodType.POST);
142
+            request.setRoleArn(oss.getArn());
143
+            request.setRoleSessionName(oss.getRoleSessionName());
144
+            request.setPolicy(null); // 若policy为空,则用户将获得该角色下所有权限
145
+            request.setDurationSeconds(30 * 60L); // 设置凭证有效时间 1800 秒 = 30 分钟
146
+            final AssumeRoleResponse response = client.getAcsResponse(request);
147
+
148
+            AssumeRoleResponse.Credentials credentials = response.getCredentials();
149
+
150
+            Map<String, Object> res = new HashMap<>();
151
+            res.put("stsToken", credentials.getSecurityToken());
152
+            res.put("accessKeySecret", credentials.getAccessKeySecret());
153
+            res.put("accessKeyId", credentials.getAccessKeyId());
154
+            res.put("expiration", credentials.getExpiration());
155
+
156
+            return res;
157
+        } catch (ClientException e) {
158
+            e.printStackTrace();
159
+            log.error("Error code: " + e.getErrCode());
160
+            log.error("Error message: " + e.getErrMsg());
161
+            log.error("RequestId: " + e.getRequestId());
162
+            throw new Exception(e.getMessage());
163
+        }
164
+    }
165
+
166
+}

+ 76
- 0
src/main/java/com/njyunzhi/nanyang/common/ResponseBean.java 查看文件

@@ -0,0 +1,76 @@
1
+package com.njyunzhi.nanyang.common;
2
+
3
+import java.io.Serializable;
4
+
5
+/**
6
+ * 接口统一状态返回BEAN.
7
+ */
8
+public class ResponseBean<T> implements Serializable {
9
+
10
+    private static final long serialVersionUID = 3593827217136880822L;
11
+
12
+    public static final int CODE_SUCCESS = 1000;
13
+    public static final int ERROR_AUTH_FAIL = 1001;
14
+    public static final int ERROR_UNAUTHORIZED = 1002;
15
+    public static final int ERROR_MISSING_PARAMS = 1003;
16
+    public static final int ERROR_ILLEGAL_PARAMS = 1004;
17
+    public static final int ERROR_UNAVAILABLE = 1005;
18
+
19
+    private int code;
20
+    private String message;
21
+    private T data;
22
+
23
+    public ResponseBean() {
24
+        code = ResponseBean.CODE_SUCCESS;
25
+    }
26
+
27
+    public static <T> ResponseBean success(T data, String ...msgs) {
28
+        ResponseBean responseBean = new ResponseBean();
29
+        responseBean.code = ResponseBean.CODE_SUCCESS;
30
+        responseBean.data = data;
31
+
32
+        if (null != msgs && msgs.length > 0) {
33
+            responseBean.message = msgs[0];
34
+        }
35
+
36
+        return responseBean;
37
+    }
38
+
39
+
40
+    public static <T> ResponseBean error(String msg) {
41
+        ResponseBean responseBean = new ResponseBean();
42
+        responseBean.code = ERROR_ILLEGAL_PARAMS;
43
+        responseBean.message = msg;
44
+
45
+        return responseBean;
46
+    }
47
+
48
+    public static <T> ResponseBean error(String msg, int code, T ...datas) {
49
+        ResponseBean responseBean = new ResponseBean();
50
+        responseBean.code = code;
51
+        responseBean.message = msg;
52
+
53
+        if (null != datas && datas.length > 0) {
54
+            responseBean.data = datas[0];
55
+        }
56
+
57
+        return responseBean;
58
+    }
59
+
60
+    public int getCode() {
61
+        return code;
62
+    }
63
+
64
+    public String getMessage() {
65
+        return message;
66
+    }
67
+
68
+    public T getData() {
69
+        return data;
70
+    }
71
+    
72
+    @Override
73
+    public String toString() {
74
+        return  "{ code: "+code+", message: "+message+", data: <T> }";
75
+    }
76
+}

+ 131
- 0
src/main/java/com/njyunzhi/nanyang/common/StringUtils.java 查看文件

@@ -0,0 +1,131 @@
1
+package com.njyunzhi.nanyang.common;
2
+
3
+import java.io.UnsupportedEncodingException;
4
+import java.net.URLEncoder;
5
+import java.util.Random;
6
+import java.util.UUID;
7
+import java.util.regex.Matcher;
8
+import java.util.regex.Pattern;
9
+
10
+public class StringUtils {
11
+    private static Pattern humpPattern = Pattern.compile("[A-Z]");
12
+
13
+    public static boolean isEmpty(String str) {
14
+        return null == str || "".equals(str.trim()) || "null".equals(str) || "undefined".equals(str);
15
+    }
16
+
17
+    public static String trim(String src, String...st) {
18
+        if (null == src) return src;
19
+        if (null == st || st.length == 0) return src.trim();
20
+
21
+        String start = st[0];
22
+        if (!src.startsWith(start)) {
23
+            return src;
24
+        }
25
+
26
+        return src.substring(start.length());
27
+    }
28
+
29
+    public static String trimEnd(String src, String str) {
30
+        if (null == src || null == str) {
31
+            return src;
32
+        }
33
+
34
+        if (src.endsWith(str)) {
35
+            return src.substring(0, src.length() - str.length());
36
+        }
37
+
38
+        return src;
39
+    }
40
+
41
+    public static String ifNull(String src, String defaultVal) {
42
+        return isEmpty(src) ? defaultVal : src;
43
+    }
44
+
45
+    public static String like(String src) {
46
+        if (null == src) return null;
47
+        if ("".equals(src)) return src;
48
+        return "%" + src + "%";
49
+    }
50
+
51
+    public static String random(int length) {
52
+        String str="abcdefghijklmnopqrstuvwxyz0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ";
53
+        Random random = new Random();
54
+        StringBuffer sb = new StringBuffer();
55
+        for(int i=0;i<length;i++){
56
+            int number=random.nextInt(62);
57
+            sb.append(str.charAt(number));
58
+        }
59
+        return sb.toString();
60
+    }
61
+
62
+    public static String uuid() {
63
+        return UUID.randomUUID().toString().replaceAll("-", "");
64
+    }
65
+
66
+    public static String urlEncode(String str) {
67
+        try {
68
+            return URLEncoder.encode(str, "UTF-8");
69
+        } catch (UnsupportedEncodingException e) {
70
+            e.printStackTrace();
71
+            return str;
72
+        }
73
+    }
74
+
75
+    public static String humpToLine(String str) {
76
+        if (null == str || "".equals(str)) return "";
77
+
78
+        Matcher matcher = humpPattern.matcher(str);
79
+        StringBuffer sb = new StringBuffer();
80
+        while (matcher.find()) {
81
+            matcher.appendReplacement(sb, "_" + matcher.group(0).toLowerCase());
82
+        }
83
+        matcher.appendTail(sb);
84
+        return sb.toString();
85
+    }
86
+
87
+    public static String strToUnicode(String str) {
88
+        char[] chars = str.toCharArray();
89
+        String returnStr = "";
90
+        for (int i = 0; i < chars.length; i++) {
91
+            returnStr += "\\u" + Integer.toString(chars[i], 16);
92
+        }
93
+        return returnStr;
94
+    }
95
+
96
+    public static String repeat(String src, int len) {
97
+        if (null == src) {
98
+            return null;
99
+        }
100
+
101
+        if (len <= 0) {
102
+            return src;
103
+        }
104
+
105
+        String res = "";
106
+        for (int i = 0; i < len; i ++) {
107
+            res += src;
108
+        }
109
+
110
+        return res;
111
+    }
112
+
113
+    public static String lpad(String src, String padStr, int len) {
114
+        if (null == src) {
115
+            return null;
116
+        }
117
+
118
+        if (len <= 0 || src.length() >= len) {
119
+            return src;
120
+        }
121
+
122
+        if (null == padStr) {
123
+            padStr = "";
124
+        }
125
+
126
+        int padLen = len - src.length();
127
+        String prefix = repeat(padStr, padLen);
128
+        prefix = prefix.substring(0, padLen);
129
+        return prefix + src;
130
+    }
131
+}

+ 40
- 0
src/main/java/com/njyunzhi/nanyang/config/AliyunConfig.java 查看文件

@@ -0,0 +1,40 @@
1
+package com.njyunzhi.nanyang.config;
2
+
3
+import lombok.Data;
4
+import org.springframework.boot.context.properties.ConfigurationProperties;
5
+import org.springframework.stereotype.Component;
6
+
7
+@Data
8
+@Component
9
+@ConfigurationProperties(prefix = "aliyun")
10
+public class AliyunConfig {
11
+    private String accessKeyId;
12
+    private String accessKeySecret;
13
+
14
+    private Oss oss;
15
+
16
+//    private Sms sms;
17
+
18
+    @Data
19
+    public  static class Oss {
20
+        private String roleSessionName;
21
+        private String accessKeyId;
22
+        private String accessKeySecret;
23
+        private String arn;
24
+        private String region;
25
+        private String endpoint;
26
+        private String bucketName;
27
+        private String bucketURL;
28
+    }
29
+
30
+//    @Data
31
+//    public static class Sms {
32
+//        private Captcha captcha;
33
+//    }
34
+//
35
+//    @Data
36
+//    public static class Captcha {
37
+//        private String code;
38
+//        private String sign;
39
+//    }
40
+}

+ 90
- 0
src/main/java/com/njyunzhi/nanyang/controller/CommController.java 查看文件

@@ -0,0 +1,90 @@
1
+package com.njyunzhi.nanyang.controller;
2
+
3
+import com.njyunzhi.nanyang.common.BaseController;
4
+import com.njyunzhi.nanyang.common.OSSUtils;
5
+import com.njyunzhi.nanyang.common.ResponseBean;
6
+import com.njyunzhi.nanyang.config.AliyunConfig;
7
+import org.springframework.beans.factory.annotation.Autowired;
8
+import org.springframework.beans.factory.annotation.Value;
9
+import org.springframework.web.bind.annotation.*;
10
+import org.springframework.web.multipart.MultipartFile;
11
+
12
+import java.io.IOException;
13
+import java.time.LocalDateTime;
14
+import java.time.format.DateTimeFormatter;
15
+import java.util.Map;
16
+
17
+//@Api(tags = "通用")
18
+@RestController
19
+@RequestMapping("/{client}")
20
+public class CommController extends BaseController {
21
+
22
+    @Autowired
23
+    OSSUtils ossUtils;
24
+
25
+    @Autowired
26
+    AliyunConfig aliyunConfig;
27
+
28
+    /**
29
+     * 图片
30
+     * @param multipartFile
31
+     * @return
32
+     */
33
+//    @ApiOperation(value = "图片上传", notes = "图片上传")
34
+    @PostMapping("/image")
35
+    public ResponseBean uploadImage(@PathVariable String client,
36
+                                    @RequestParam("file") MultipartFile multipartFile) {
37
+        try {
38
+            String img = ossUtils.putObject(multipartFile);
39
+            return ResponseBean.success(img);
40
+        } catch (IOException e) {
41
+            return ResponseBean.error("上传图片失败: " + e.getMessage(), ResponseBean.ERROR_UNAVAILABLE);
42
+        }
43
+    }
44
+
45
+    /**
46
+     * base64 图片上传
47
+     * @param data
48
+     * @return
49
+     */
50
+//    @ApiOperation(value = "base64 图片上传", notes = "base64 图片上传")
51
+    @PostMapping("/image/base64")
52
+    public ResponseBean uploadBase64Image(@PathVariable String client,
53
+                                          @RequestBody Map<String, String> data) {
54
+        try {
55
+            String base64Str = data.get("base64");
56
+            String img = ossUtils.putObject(base64Str);
57
+            return ResponseBean.success(img);
58
+        } catch (IOException e) {
59
+            return ResponseBean.error("上传图片失败: " + e.getMessage(), ResponseBean.ERROR_UNAVAILABLE);
60
+        }
61
+    }
62
+
63
+    /**
64
+     * 获取文件上传凭证
65
+     * @return
66
+     */
67
+//    @ApiOperation(value = "获取文件上传凭证", notes = "获取文件上传凭证")
68
+    @GetMapping("/oss-sts")
69
+    public ResponseBean getOSSSTS(@PathVariable String client) {
70
+        AliyunConfig.Oss oss = aliyunConfig.getOss();
71
+
72
+        try {
73
+            Map<String, Object> res = ossUtils.getSTSAKToken();
74
+            res.put("endpoint", oss.getEndpoint());
75
+            res.put("bucket", oss.getBucketName());
76
+            res.put("bucketURL", oss.getBucketURL());
77
+            res.put("region", oss.getRegion());
78
+            res.put("path", getMonth());
79
+
80
+            return ResponseBean.success(res);
81
+        } catch (Exception e) {
82
+            return ResponseBean.error("获取上传凭证失败! ", ResponseBean.ERROR_UNAVAILABLE);
83
+        }
84
+    }
85
+
86
+    private String getMonth() {
87
+        return DateTimeFormatter.ofPattern("yyyy-MM").format(LocalDateTime.now());
88
+    }
89
+
90
+}

+ 98
- 0
src/main/java/com/njyunzhi/nanyang/controller/TcBindController.java 查看文件

@@ -0,0 +1,98 @@
1
+package com.njyunzhi.nanyang.controller;
2
+
3
+import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
4
+import com.baomidou.mybatisplus.core.metadata.IPage;
5
+import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
6
+import com.njyunzhi.nanyang.common.BaseController;
7
+import com.njyunzhi.nanyang.common.ResponseBean;
8
+import java.util.List;
9
+import org.springframework.beans.factory.annotation.Autowired;
10
+import org.springframework.web.bind.annotation.*;
11
+import com.njyunzhi.nanyang.entity.TcBind;
12
+import com.njyunzhi.nanyang.service.TcBindService;
13
+
14
+ /**
15
+ * 绑定表;(tc_bind)表控制层
16
+ * @author : http://njyunzhi.com
17
+ * @date : 2022-11-16
18
+ */
19
+//@Api(tags = "绑定表对象功能接口")
20
+@RestController
21
+@RequestMapping("/")
22
+public class TcBindController extends BaseController {
23
+    
24
+    @Autowired
25
+    private TcBindService tcBindService;
26
+    
27
+    /** 
28
+     * 通过ID查询单条数据 
29
+     *
30
+     * @param serialNo 主键
31
+     * @return 实例对象
32
+     */
33
+//    @ApiOperation("通过ID查询单条数据")
34
+    @GetMapping("/tcBind/{id}")
35
+    public ResponseBean queryById(@PathVariable Integer id) throws Exception {
36
+        return ResponseBean.success(tcBindService.getById(id));
37
+    }
38
+    
39
+    /** 
40
+     * 分页查询
41
+     *
42
+     * @param pageNum 当前页码
43
+     * @param pageSize 每页条数
44
+     * @return 查询结果
45
+     */
46
+//    @ApiOperation("分页查询")
47
+    @GetMapping("/tcBind")
48
+    public ResponseBean list(@RequestParam(value ="pageNum",defaultValue = "1") Integer pageNum,
49
+                            @RequestParam(value ="pageSize",defaultValue = "10") Integer pageSize) throws Exception {
50
+        
51
+        IPage<TcBind> pg = new Page<>(pageNum, pageSize);
52
+        // QueryWrapper<TcBind> queryWrapper = new QueryWrapper<>();
53
+        // queryWrapper.orderByDesc("create_date");
54
+        IPage<TcBind> result = tcBindService.page(pg);
55
+        
56
+        return ResponseBean.success(result);
57
+    }
58
+    
59
+    /** 
60
+     * 新增数据
61
+     *
62
+     * @param tcBind 实例对象
63
+     * @return 实例对象
64
+     */
65
+//    @ApiOperation("新增数据")
66
+    @PostMapping("/tcBind")
67
+    public ResponseBean add(@RequestBody TcBind tcBind) throws Exception {
68
+        tcBindService.save(tcBind);
69
+        return ResponseBean.success(tcBind);
70
+    }
71
+    
72
+    /** 
73
+     * 更新数据
74
+     *
75
+     * @param tcBind 实例对象
76
+     * @return 实例对象
77
+     */
78
+//    @ApiOperation("更新数据")
79
+    @PutMapping("/tcBind/{id}")
80
+    public ResponseBean edit(@RequestBody TcBind tcBind,
81
+                            @PathVariable Integer id ) throws Exception {
82
+        tcBindService.updateById(tcBind);
83
+        return ResponseBean.success(tcBind);
84
+    }
85
+    
86
+    /** 
87
+     * 通过主键删除数据
88
+     *
89
+     * @param serialNo 主键
90
+     * @return 是否成功
91
+     */
92
+//    @ApiOperation("通过主键删除数据")
93
+    @DeleteMapping("/tcBind/{id}")
94
+    public ResponseBean deleteById(@PathVariable Integer id){
95
+        tcBindService.removeLogicById(id);
96
+        return ResponseBean.success("success");
97
+    }
98
+}

+ 56
- 0
src/main/java/com/njyunzhi/nanyang/entity/TcBind.java 查看文件

@@ -0,0 +1,56 @@
1
+package com.njyunzhi.nanyang.entity;
2
+
3
+import com.baomidou.mybatisplus.annotation.IdType;
4
+import com.baomidou.mybatisplus.annotation.TableName;
5
+import com.baomidou.mybatisplus.annotation.TableId;
6
+import java.io.Serializable;
7
+import java.time.LocalDateTime;
8
+import java.util.Date;
9
+import lombok.Data;
10
+import lombok.EqualsAndHashCode;
11
+import lombok.experimental.Accessors;
12
+
13
+ /**
14
+ * 绑定表;
15
+ * @author : http://www.chiner.pro
16
+ * @date : 2022-11-16
17
+ */
18
+@Data
19
+@EqualsAndHashCode(callSuper = false)
20
+@Accessors(chain = true)
21
+//@ApiModel(value = "绑定表",description = "")
22
+@TableName("tc_bind")
23
+public class TcBind implements Serializable,Cloneable{
24
+    /** 序号 */
25
+//    @ApiModelProperty(name = "序号",notes = "")
26
+    @TableId(value = "serial_no", type = IdType.AUTO)
27
+    private Integer serialNo ;
28
+    /** 设备类型 */
29
+//    @ApiModelProperty(name = "设备类型",notes = "")
30
+    private String deviceType ;
31
+    /** 设备号 */
32
+//    @ApiModelProperty(name = "设备号",notes = "")
33
+    private String deviceNo ;
34
+    /** 农机名称 */
35
+//    @ApiModelProperty(name = "农机名称",notes = "")
36
+    private String machineryName ;
37
+    /** 农机图片 */
38
+//    @ApiModelProperty(name = "农机图片",notes = "")
39
+    private String machineryThumb ;
40
+    /** 归属人 */
41
+//    @ApiModelProperty(name = "归属人",notes = "")
42
+    private String userName ;
43
+    /** 手机号 */
44
+//    @ApiModelProperty(name = "手机号",notes = "")
45
+    private String phone ;
46
+    /** 身份证号 */
47
+//    @ApiModelProperty(name = "身份证号",notes = "")
48
+    private String idCard ;
49
+    /** 状态;0未入库1已入库 */
50
+//    @ApiModelProperty(name = "状态",notes = "0未入库1已入库")
51
+    private Integer status ;
52
+    /** 创建时间 */
53
+//    @ApiModelProperty(name = "创建时间",notes = "")
54
+    private LocalDateTime createDate ;
55
+
56
+}

+ 16
- 0
src/main/java/com/njyunzhi/nanyang/mapper/TcBindMapper.java 查看文件

@@ -0,0 +1,16 @@
1
+package com.njyunzhi.nanyang.mapper;
2
+
3
+import com.baomidou.mybatisplus.core.mapper.BaseMapper;
4
+import org.apache.ibatis.annotations.Mapper;
5
+import org.apache.ibatis.annotations.Param;
6
+import com.njyunzhi.nanyang.entity.TcBind;
7
+
8
+ /**
9
+ * 绑定表;(tc_bind)表数据库访问层
10
+ * @author : http://njyunzhi.com
11
+ * @date : 2022-11-16
12
+ */
13
+@Mapper
14
+public interface TcBindMapper  extends BaseMapper<TcBind>{
15
+    
16
+}

+ 26
- 0
src/main/java/com/njyunzhi/nanyang/service/IBaseService.java 查看文件

@@ -0,0 +1,26 @@
1
+package com.njyunzhi.nanyang.service;
2
+
3
+import com.baomidou.mybatisplus.extension.service.IService;
4
+
5
+import java.io.Serializable;
6
+
7
+public interface IBaseService<T> extends IService<T> {
8
+    /**
9
+     * 逻辑删除
10
+     * @param id
11
+     * @return
12
+     */
13
+    boolean removeLogicById(Serializable id);
14
+
15
+    boolean removeBy(String column, Object value, boolean notDelete);
16
+
17
+    boolean canAccessData(Serializable id, String userId);
18
+
19
+    boolean remvoeWithDataScope(Serializable id, String userId);
20
+
21
+    int countBy(String column, Object value, boolean notDelete);
22
+
23
+    T getByButNot(String column, Object value, String col, Object val, boolean notDelete);
24
+
25
+    T getExistBy(String column, Object value, boolean normal, boolean notDelete);
26
+}

+ 13
- 0
src/main/java/com/njyunzhi/nanyang/service/TcBindService.java 查看文件

@@ -0,0 +1,13 @@
1
+package com.njyunzhi.nanyang.service;
2
+
3
+import com.baomidou.mybatisplus.extension.service.IService;
4
+import com.njyunzhi.nanyang.entity.TcBind;
5
+
6
+ /**
7
+ * 绑定表;(tc_bind)表服务接口
8
+ * @author : http://njyunzhi.com
9
+ * @date : 2022-11-16
10
+ */
11
+public interface TcBindService extends IBaseService<TcBind> {
12
+    
13
+}

+ 108
- 0
src/main/java/com/njyunzhi/nanyang/service/impl/BaseServiceImpl.java 查看文件

@@ -0,0 +1,108 @@
1
+package com.njyunzhi.nanyang.service.impl;
2
+
3
+import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
4
+import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
5
+import com.baomidou.mybatisplus.core.mapper.BaseMapper;
6
+import com.baomidou.mybatisplus.core.metadata.TableInfo;
7
+import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
8
+import com.baomidou.mybatisplus.extension.toolkit.SqlHelper;
9
+import com.njyunzhi.nanyang.service.IBaseService;
10
+
11
+import java.io.Serializable;
12
+
13
+public class BaseServiceImpl<M extends BaseMapper<T>, T> extends ServiceImpl<M, T> implements IBaseService<T> {
14
+    @Override
15
+    public boolean removeLogicById(Serializable id) {
16
+
17
+        TableInfo tableInfo = SqlHelper.table(currentModelClass());
18
+        UpdateWrapper<T> updateWrapper = new UpdateWrapper<>();
19
+        updateWrapper.set("status", -1)
20
+                .eq(tableInfo.getKeyColumn(), id);
21
+
22
+        return update(updateWrapper);
23
+    }
24
+
25
+    @Override
26
+    public boolean removeBy(String column, Object value, boolean notDelete) {
27
+        if (notDelete) {
28
+            UpdateWrapper<T> updateWrapper = new UpdateWrapper<>();
29
+            updateWrapper.set("status", -1);
30
+            updateWrapper.eq(column, value);
31
+            return update(updateWrapper);
32
+        } else {
33
+            QueryWrapper<T> queryWrapper = new QueryWrapper<>();
34
+            queryWrapper.eq(column, value);
35
+            return remove(queryWrapper);
36
+        }
37
+    }
38
+
39
+    @Override
40
+    public boolean canAccessData(Serializable id, String userId) {
41
+        return true;
42
+//        if (Constants.ADMIN_ID.equals(userId)) return true;
43
+//
44
+//        TableInfo tableInfo = SqlHelper.table(currentModelClass());
45
+//
46
+//        String t = tableInfo.getTableName();
47
+////        String k = tableInfo.getKeyColumn();
48
+//        String kAlias = t + ".org_id";
49
+//
50
+//        String joinSQL = "INNER JOIN sys_user_data_scope s ON ( "+ kAlias +" = s.org_id OR "+t+".create_user = s.user_id )";
51
+//        String whereSQL = "WHERE " + kAlias + " = '"+ id +"' AND s.user_id = '" + userId + "'";
52
+//
53
+//        String sql = joinSQL + " " + whereSQL;
54
+//
55
+//        QueryWrapper<T> wrapper = new QueryWrapper<>();
56
+//        wrapper.last(sql);
57
+//        return count(wrapper) > 0;
58
+    }
59
+
60
+    @Override
61
+    public boolean remvoeWithDataScope(Serializable id, String userId) {
62
+        TableInfo tableInfo = SqlHelper.table(currentModelClass());
63
+
64
+        String t = tableInfo.getTableName();
65
+        String k = tableInfo.getKeyColumn();
66
+        String kAlias = t + "." + k;
67
+
68
+        String joinSQL = "INNER JOIN sys_user_data_scope s ON ( "+ kAlias +" = s.org_id OR "+t+".create_user = s.user_id )";
69
+        String setSQL = "SET status = -1";
70
+        String whereSQL = "WHERE " + kAlias + " = '"+ id +"' AND s.user_id = '" + userId + "'";
71
+
72
+        String sql = joinSQL + " " + setSQL + " " + whereSQL;
73
+
74
+        UpdateWrapper<T> wrapper = new UpdateWrapper<>();
75
+        wrapper.last(sql);
76
+        return update(wrapper);
77
+    }
78
+
79
+    @Override
80
+    public int countBy(String column, Object value, boolean notDelete) {
81
+        QueryWrapper<T> queryWrapper = new QueryWrapper<>();
82
+        queryWrapper.eq(column, value);
83
+        queryWrapper.gt(notDelete, "status", -1);
84
+
85
+        return count(queryWrapper);
86
+    }
87
+
88
+    @Override
89
+    public T getByButNot(String column, Object value, String col, Object val, boolean notDelete) {
90
+        QueryWrapper<T> queryWrapper = new QueryWrapper<>();
91
+        queryWrapper.eq(column, value);
92
+        queryWrapper.ne(col, val);
93
+        queryWrapper.gt(notDelete, "status", -1);
94
+        queryWrapper.last("limit 1");
95
+
96
+        return getOne(queryWrapper);
97
+    }
98
+
99
+    @Override
100
+    public T getExistBy(String column, Object value, boolean normal, boolean notDelete) {
101
+        QueryWrapper<T> queryWrapper = new QueryWrapper<>();
102
+        queryWrapper.eq(column, value);
103
+        queryWrapper.eq(normal, "status", 1);
104
+        queryWrapper.gt(notDelete, "status", -1);
105
+        queryWrapper.last("limit 1");
106
+        return getOne(queryWrapper);
107
+    }
108
+}

+ 16
- 0
src/main/java/com/njyunzhi/nanyang/service/impl/TcBindServiceImpl.java 查看文件

@@ -0,0 +1,16 @@
1
+package com.njyunzhi.nanyang.service.impl;
2
+
3
+import org.springframework.beans.factory.annotation.Autowired;
4
+import org.springframework.stereotype.Service;
5
+import com.njyunzhi.nanyang.entity.TcBind;
6
+import com.njyunzhi.nanyang.mapper.TcBindMapper;
7
+import com.njyunzhi.nanyang.service.TcBindService;
8
+ /**
9
+ * 绑定表;(tc_bind)表服务实现类
10
+ * @author : http://www.chiner.pro
11
+ * @date : 2022-11-16
12
+ */
13
+@Service
14
+public class TcBindServiceImpl extends BaseServiceImpl<TcBindMapper, TcBind> implements TcBindService {
15
+    
16
+}

+ 30
- 0
src/main/resources/application.yml 查看文件

@@ -0,0 +1,30 @@
1
+server:
2
+  port: 7083
3
+
4
+spring:
5
+  datasource:
6
+    url: jdbc:mysql://110.40.183.156:3306/nanyang_machinery?serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=utf8&useSSL=false&allowPublicKeyRetrieval=true
7
+    username: nanyang_machinery
8
+    password: nanyang_machinery@ABCD1234
9
+
10
+###
11
+mybatis-plus:
12
+  configuration:
13
+    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
14
+    call-setters-on-nulls: true
15
+  mapper-locations: classpath:mapper/**/*.xml
16
+
17
+
18
+###
19
+aliyun:
20
+  accessKeyId: LTAI5tGjnZY6k799BHxhmqcm
21
+  accessKeySecret: eU1DmULbgHe2dnIg3P93634PO2vEh5
22
+  oss:
23
+    roleSessionName: shigongli
24
+    accessKeyId: LTAI4G9zCefU1m7sKmmBnzTc
25
+    accessKeySecret: Vaax5O7wTL0KZdSgd8L9cGBf8AgUqJ
26
+    arn: acs:ram::1636896505560465:role/ramosssts
27
+    region: oss-cn-shanghai
28
+    endpoint: oss-accelerate.aliyuncs.com
29
+    bucketName: yz-shigongli
30
+    bucketURL: https://yz-shigongli.oss-accelerate.aliyuncs.com

+ 6
- 0
src/main/resources/mapper/TcBindMapper.xml 查看文件

@@ -0,0 +1,6 @@
1
+<?xml version="1.0" encoding="UTF-8"?>
2
+<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
3
+
4
+<mapper namespace="com.njyunzhi.nanyang.mapper.TcBindMapper">
5
+    
6
+</mapper>

+ 13
- 0
src/test/java/com/njyunzhi/nanyang/HatcApiApplicationTests.java 查看文件

@@ -0,0 +1,13 @@
1
+package com.njyunzhi.nanyang;
2
+
3
+import org.junit.jupiter.api.Test;
4
+import org.springframework.boot.test.context.SpringBootTest;
5
+
6
+@SpringBootTest
7
+class HatcApiApplicationTests {
8
+
9
+	@Test
10
+	void contextLoads() {
11
+	}
12
+
13
+}